//                                               -*- C++ -*-
/**
 *  @file  OTProcess.hxx
 *  @brief The external header file of Open TURNS for subdir Process
 *
 *  Copyright (C) 2005-2013 EDF-EADS-Phimeca
 *
 *  This library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  along with this library.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author schueller
 *  @date   2012-07-16 10:12:54 +0200 (Mon, 16 Jul 2012)
 */

#ifndef OPENTURNS_OTSTOCHASTICPROCESS_HXX
#define OPENTURNS_OTSTOCHASTICPROCESS_HXX

#include "ARMA.hxx"
#include "ARMACoefficients.hxx"
#include "ARMAState.hxx"
#include "SpectralNormalProcess.hxx"
#include "TemporalNormalProcess.hxx"
#include "WhiteNoise.hxx"
#include "RandomWalk.hxx"
#include "CompositeProcess.hxx"
#include "FunctionalBasisProcess.hxx"
#include "ARMAFactoryImplementation.hxx"
#include "ARMAFactory.hxx"
#include "WhittleFactory.hxx"
#include "WhittleFactoryState.hxx"
#include "ARMALikelihoodFactory.hxx"

#endif /* OPENTURNS_OTSTOCHASTICPROCESS_HXX */
